Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.higgins.ics.gwt.icm.client.panel.card
Class CardPanelFooter

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Panel
                  com.google.gwt.user.client.ui.ComplexPanel
                      com.google.gwt.user.client.ui.CellPanel
                          com.google.gwt.user.client.ui.HorizontalPanel
                              org.eclipse.higgins.ics.gwt.icm.client.panel.card.CardPanelFooter

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasAlignment, com.google.gwt.user.client.ui.HasHorizontalAlignment, com.google.gwt.user.client.ui.HasVerticalAlignment, com.google.gwt.user.client.ui.HasWidgets, com.google.gwt.user.client.ui.IndexedPanel

public class CardPanelFooter
extends com.google.gwt.user.client.ui.HorizontalPanel

Author:
  Alexander Yuhimenko

Nested Class Summary

Nested classes inherited from class com.google.gwt.user.client.ui.HasHorizontalAlignment
`com.google.gwt.user.client.ui.HasHorizontalAlignment.HorizontalAlignmentConstant`

Nested classes inherited from class com.google.gwt.user.client.ui.HasVerticalAlignment
`com.google.gwt.user.client.ui.HasVerticalAlignment.VerticalAlignmentConstant`

Field Summary

Fields inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment
`ALIGN_CENTER, ALIGN_LEFT, ALIGN_RIGHT`

Fields inherited from interface com.google.gwt.user.client.ui.HasVerticalAlignment
`ALIGN_BOTTOM, ALIGN_MIDDLE, ALIGN_TOP`

Constructor Summary
`CardPanelFooter()`

Method Summary
`Card` | `getCard()`
`com.google.gwt.user.client.ui.HorizontalPanel` | `getFileInPanel()`
`CardActionButton` | `getRetrieveButton()`
`void` | `setCard(Card card)`
`void` | `setPixelSize(int width, int height)`

Methods inherited from class com.google.gwt.user.client.ui.HorizontalPanel
`add, getHorizontalAlignment, getVerticalAlignment, insert, remove, setHorizontalAlignment, setVerticalAlignment`

Methods inherited from class com.google.gwt.user.client.ui.CellPanel
`getSpacing, setBorderWidth, setCellHeight, setCellHorizontalAlignment, setCellVerticalAlignment, setCellWidth, setSpacing`

Methods inherited from class com.google.gwt.user.client.ui.ComplexPanel
`getWidget, getWidgetCount, getWidgetIndex, iterator, remove`

Methods inherited from class com.google.gwt.user.client.ui.Panel
`clear`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`getParent, isAttached, onBrowserEvent, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setHeight, setSize, setStyleName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkEvents, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CardPanelFooter

    public CardPanelFooter()

Method Detail

### setPixelSize

    public void setPixelSize(int width,
                             int height)

### getFileInPanel

    public com.google.gwt.user.client.ui.HorizontalPanel getFileInPanel()

  Returns:
    the fileInPanel

### getCard

    public Card getCard()

  Returns:
    the card

### setCard

    public void setCard(Card card)

  Parameters:
    `card` - the card to set

### getRetrieveButton

    public CardActionButton getRetrieveButton()

  Returns:
    the retrieveButton

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD